
QGIS Application - Bug report #1380

No Data values are counted as values in the histogram

2008-10-30 02:51 AM - alobo -

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 11440

Description

After setting a given value as No Data for a raster, the histogram

and min-max statistics are not updated.

Y axis in the histogram is often too high

History

#1 - 2009-07-11 02:54 AM - Giovanni Manghi

Seems to me still true on qgis 1.2 from trunk under Ubuntu 9.04

#2 - 2009-07-27 07:51 PM - ersts -

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:1c3390e1 (SVN r11190)

#3 - 2009-11-08 06:01 AM - ersts -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

I have to reopen this. The nodata values were removed from the raster band stats, but they are still showing up in the histogram. It is either something to do

with the GDALGetRasterHistogram() or the logic behind which bins to display in [[QgsRasterLayerProperties]]::on_pbnHistRefresh_clicked() or a

combination of both

#4 - 2009-11-08 06:24 AM - Paolo Cavallini

Perhaps related to that: if you build pyramids, the histogram will count all the cells from all levels of pyramids as valid values, thus giving inflated and

incorrect results

#5 - 2009-11-23 09:58 AM - Paolo Cavallini

Confirmed this in Windows XP, not in a fresh Debian box
#6 - 2010-12-02 07:33 AM - alobo -

- Status changed from Feedback to Open

Hi Agus,

As far as I know this is so because your raster does not define a null

value in the GDAL sense (use GDAL tools to set a null value for that

raster, NOT the QGIS raster properties)

Yes (as extremely delayed feedback to Benoit too) I plan to rewrite

the raster histogramming at some point to not use gdal so that we can

take into account user defined transparency settings etc. I will do

this when I get a few hours to spare!

Regards

Tim

Hope this helps,

Benoit

On 01/12/2010 17:14, Agustin Lobo wrote:

Raster histograms include null values, which in many cases severely distorts the

histograms (i.e., images in which a large part of ocean is present or

just images

in which the scene is not a rectangle)

Also, the ability to customize the axes (in particular the x axis) is

very important

#7 - 2011-10-05 03:02 AM - Alister Hood

- Pull Request or Patch supplied set to No

Nodata values are also counted when using the "load min/max values from band" feature on the "Style" tab.

This was supposed to be fixed a long time ago: #857-2

I guess I should probably reopen that bug, or file a new one... but it might be the same issue as this with the histogram.

Should this really be "low" priority?

#8 - 2011-10-12 01:27 AM - alobo -

- Priority changed from Low to High

#9 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#10 - 2011-12-24 05:55 AM - Giovanni Manghi
- OS version deleted (ubuntu 8.04, ubuntu 9.04)

- Crashes QGIS or corrupts data set to No

- Assignee deleted (Tim Sutton)

- Operating System deleted (Linux)

- Affected QGIS version set to master

Probably this is related/duplicate/consequence of #3840

Actually the "no data value" does not make anything NULL, it just turn the pixels transparent, but they retain they original value.

#11 - 2012-01-04 12:07 AM - Paolo Cavallini

- Priority changed from High to Normal

#12 - 2012-04-14 03:50 AM - alobo -

- Priority changed from Normal to 6

#13 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#14 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#15 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#16 - 2012-10-05 07:10 AM - Giovanni Manghi

- Status changed from Open to Closed

- Status info deleted (0)

- Resolution set to duplicate

Duplicate of #3840
